EDIT - bug #4348

Remove InputDialog in creating new bulk editor entities where not needed
08/15/2014 05:23 PM - Cherian Mathew

Status: Discussed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 1:00 hour
Target version: Reviewed Next Major Release

Severity: normal Found in Version:

Description

This ticket was to discuss if the simple InputDialog is the right way to initialise new entities from within the BulkEditor.

The Input Dialog makes sense for 'User' and 'Group' entities, but not for the others, namely:

Authors and Author Teams

Reference

¢ Name

Taxon or Synonym

Result of discussion:
e for all classes it is not needed. Instead a pop-up detail element (as usual for creating new entities) should be shown.
e exception: taxon names, as they are usually parsed. But here the prior selection of the rank should be removed (instead we may
check the rank afterwards if it is not parsable or just leave the rank not parsable warning as it automatically comes)

see also #4362

History

#1 - 08/20/2014 05:34 PM - Andreas Miuller

In general the new command in the bulk editor should do the same as the File->New->XXX command. The later already now opens a wizards, not
InputDialog.

However, before switching to the wizard solution we need to test the wizards intensively as e.g. the new Name wizard currently does not allow saving
and the new taxon dialog does not allow creating orphaned taxa, synonyms or misapplied names.

#2 - 07/19/2016 12:56 PM - Patrick Plitzner
- Assignee changed from Andreas Miiller to p.plitzner -

- Target version changed from TaxEditor Next Major Release to Release 4.3

#3 - 09/01/2016 03:45 PM - Andreas Miiller
- Description updated

- Assignee changed from Patrick Plitzner to Katja Luther

#4 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#5 - 09/26/2016 01:13 PM - Andreas Miiller
- Priority changed from New to Highest
- Estimated time set to 1:00 h
https://dev.e-taxonomy.eu/redmine/issues/4362

Explain solution with wizards and create new tickets for all required wizards.

#6 - 12/01/2016 02:26 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/10/2017 08:45 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#9 - 05/11/2017 04:02 PM - Andreas Miiller

- Subject changed from [DISCUSS] Use of InputDialog in creating New BulkEditor BulkEditor entities to [DISCUSS] Use of InputDialog in creating new
bulk editor entities

- Target version changed from Release 4.7 to Release 4.8

#10 - 07/06/2017 10:10 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#11 - 07/21/2017 10:36 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#12 - 09/24/2017 01:14 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.12

#13 - 12/05/2017 02:24 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#14 - 01/31/2018 12:23 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#15 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#16 - 02/21/2018 01:44 PM - Andreas Miiller

- Target version changed from Release 5.0 to Reviewed Next Major Release

#17 - 02/21/2018 01:44 PM - Andreas Miiller
- Related to bug #6297: [Overview] BGBM User group wishes 2017 added

#18 - 02/21/2018 01:51 PM - Andreas Miiller

- Subject changed from [DISCUSS] Use of InputDialog in creating new bulk editor entities to Remove InputDialog in creating new bulk editor entities
where not needed

- Description updated

- Private changed from Yes to No

#19 - 02/21/2018 01:52 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.1

#20 - 02/21/2018 01:52 PM - Andreas Miiller
- Related to deleted (bug #6297: [Overview] BGBM User group wishes 2017)

#21 - 06/28/2018 12:04 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#22 - 08/17/2018 03:50 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3
#23 - 09/06/2018 09:13 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#24 - 10/23/2018 10:40 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#25 - 02/19/2019 02:43 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#26 - 02/19/2019 03:12 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#27 - 03/03/2022 02:58 PM - Andreas Miiller

- Status changed from New to Discussed
